## Contribute

If you want to participate in the development, feel free to [contact us](team-list.html). 


### Access to source code

You can also download the source code from our Git repository.
Following URL's will give you read-only access to our server:

```xml
ssh://gitlab@build.se.informatik.uni-kiel.de:teetime/teetime.git
```

or

```xml
http://build.se.informatik.uni-kiel.de/gitlab/teetime/teetime.git
```

Last, but not least, TeeTime is also available on [GitHub](https://github.com/teetime-framework/teetime).

### Workflow

If you contribute, please follow our guidelines to comply to our quality standards.



#### Git guidelines

- To update a branch, use the code commands ``fetch`` and ``rebase`` in this order.

- Create a new branch for every code modification you want to perform.

- Contribute your changes and fixes by using the [merge request](https://build.se.informatik.uni-kiel.de/gitlab/teetime/teetime/merge_requests) function in GitLab.

- Last, but not least, participate in discussions within our issue tracking system. 

#### Issue tracking

- Create a ticket for every major bug.

- Comment on tickets you are working on and let others know what you are doing.

- Describe the issue in a short but understandable way.

- Use Tags for tickets, which fit the issue and mark bugs as ``solved``.

### Support

If you are using TeeTime and run into problems, consider to report the issue or [contact us](team-list.html). Every reported issue can help to improve TeeTime. 

We really appreciate any ideas or suggestions.